Loading...
Searching...
No Matches
ObjectInstanceRegistry.h File Reference

Provides a single global registry of Generators, GeneratorParams, and Params indexed by this pointer. More...

`#include <cstddef>`
`#include <cstdint>`
`#include <map>`
`#include <mutex>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Halide::Internal::ObjectInstanceRegistry

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Provides a single global registry of Generators, GeneratorParams, and Params indexed by this pointer.

This is used for finding the parameters inside of a Generator.

Definition in file ObjectInstanceRegistry.h.